# apollo_flutter_example

**Table of content**

- [Running example](#running-example)
    - [Android](#android)
    - [iOS](#ios)
- [Pigeon model](#pigeon-model)

## Running example

### Android

- Open `example/android` project with Android studio
- Add TekoGoogleRegistryToken to `local.properties` of this project

```
// example/android/local.properties

TekoGoogleRegistry.password=<your-token>
```

- Run project

### iOS

- Setup github access token for accessing Teko iOS frameworks.

- Run commands below in the terminal

```sh
cd example
flutter build ios --no-codesign
```

- Launch Xcode and open `example/ios/Runner.xcworkspace` file

## Pigeon model

This project use [Pigeon](https://pub.dev/packages/pigeon) to generate code for communication between Flutter and the native side.

The Pigeon file is located in the `pigeon` folder.

To generate code with Pigeon, please run `run_pigeon.sh` file.
