import 'package:pigeon/pigeon.dart';

@HostApi()
abstract class FlutterApolloApi {
  GetInstanceResult getInstance(String appName);
}

class GetInstanceResult {
  bool? isSuccess;
  String? error;
  FlutterColorTheme? colorTheme;
}

class FlutterColorTheme {
  FlutterColorSet? primary;
  FlutterColorSet? error;
  FlutterColorSet? pending;
  FlutterColorSet? success;
  FlutterColorSet? link;
  FlutterNeutralColorSet? neutral;
}

class FlutterColorSet {
  String? color50;
  String? color100;
  String? color200;
  String? color500;
  String? color600;
  String? color700;
}

class FlutterNeutralColorSet {
  String? white;
  String? tableHeader;
  String? background;
  String? divider;
  String? disable;
  String? border;
  String? placeholder;
  String? secondaryText;
  String? primaryText;
  String? titleText;
}
